File: 01_bootstrap_automake_version.diff

package info (click to toggle)
libasr 1.0.2-2
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 596 kB
  • sloc: ansic: 7,646; awk: 339; sh: 105; makefile: 40
file content (34 lines) | stat: -rw-r--r-- 1,106 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
Description: Accept automake versions > 1.15
Author: Ryan Kavanagh <rak@debian.org>
Origin: Debian
Bug-Debian: https://bugs.debian.org/906477
Forwarded: https://github.com/OpenSMTPD/libasr/pull/16
Last-Update: 2018-08-18
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
Index: libasr/bootstrap
===================================================================
--- libasr.orig/bootstrap	2018-08-18 13:08:57.000000000 -0400
+++ libasr/bootstrap	2018-08-18 13:09:07.000000000 -0400
@@ -36,7 +36,7 @@
 
 # Check for automake
 amvers="no"
-for v in 15 14 13 12 11 10 9 8 7 6 5; do
+for v in 20 19 18 17 16 15 14 13 12 11 10 9 8 7 6 5; do
   if automake-1.${v} --version >/dev/null 2>&1; then
     amvers="-1.${v}"
     break
Index: libasr/configure.ac
===================================================================
--- libasr.orig/configure.ac	2018-08-18 13:08:57.000000000 -0400
+++ libasr/configure.ac	2018-08-18 13:10:53.532966485 -0400
@@ -41,7 +41,7 @@
 AC_PATH_PROG([MANDOC], [mandoc])
 AC_PROG_YACC
 
-AM_INIT_AUTOMAKE
+AM_INIT_AUTOMAKE([foreign subdir-objects])
 
 LT_INIT